<?php namespace EscapeWork\Manager\Downloads\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Downloads\Models\DownloadCategory;

class DownloadCategoryRepository extends BaseRepository
{
    public function __construct(DownloadCategory $downloadCategory)
    {
        $this->model = $downloadCategory;
    }

    /**
     * A group has many questions
     */
    public function downloads()
    {
        return $this->hasMany('Download', 'category_id');
    }
}
